Subject: Re: [PATCH 06/12] connect: Fix custom ports with plink (Putty's ssh)

From: "Edward Z. Yang" <[email-masked]>
Date: Wed, 02 Jul 2008 23:07:09 -0400

Johannes Sixt wrote:
 > What about installing a wrapper script, plinkssh, that does this:
 > [snip]

Well, the patch is shorter :-)

Joking aside, it's a good question. I guess I prefer the patch because:

1. It's been tested, it works. I haven't tried the script yet, so I 
don't know if it works.

2. Git historically doesn't use bash, so the script would have to be 
rewritten in Perl or plain sh or tcl or something.

3. It's less brittle than the wrapper script if we decide to have Git 
pass more params to OpenSSH.

4. It's "more native".

I don't know if these are compelling enough reasons, though.

(cc'ed everyone else, whoops)